Package org.codehaus.groovy.vmplugin.v8

# Class CacheableCallSite

java.lang.Object
java.lang.invoke.CallSite
java.lang.invoke.MutableCallSite
org.codehaus.groovy.vmplugin.v8.CacheableCallSite

    public class CacheableCallSite
    extends java.lang.invoke.MutableCallSite

Represents a cacheable call site, which can reduce the cost of resolving methods

Since:
  3.0.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CacheableCallSite​(java.lang.invoke.MethodType type)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `org.codehaus.groovy.vmplugin.v8.MethodHandleWrapper` | `getAndPut​(java.lang.String className, MemoizeCache.ValueProvider<? super java.lang.String,​? extends org.codehaus.groovy.vmplugin.v8.MethodHandleWrapper> valueProvider)` |
  `java.lang.invoke.MethodHandle` | `getDefaultTarget()` |
  `java.lang.invoke.MethodHandle` | `getFallbackTarget()` |
  `long` | `incrementFallbackCount()` |
  `org.codehaus.groovy.vmplugin.v8.MethodHandleWrapper` | `put​(java.lang.String name, org.codehaus.groovy.vmplugin.v8.MethodHandleWrapper mhw)` |
  `void` | `resetFallbackCount()` |
  `void` | `setDefaultTarget​(java.lang.invoke.MethodHandle defaultTarget)` |
  `void` | `setFallbackTarget​(java.lang.invoke.MethodHandle fallbackTarget)` |

  ### Methods inherited from class java.lang.invoke.MutableCallSite

  `dynamicInvoker, getTarget, setTarget, syncAll`

  ### Methods inherited from class java.lang.invoke.CallSite

  `type`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CacheableCallSite

    public CacheableCallSite​(java.lang.invoke.MethodType type)

- ## Method Details

  - ### getAndPut

    public org.codehaus.groovy.vmplugin.v8.MethodHandleWrapper getAndPut​(java.lang.String className, MemoizeCache.ValueProvider<? super java.lang.String,​? extends org.codehaus.groovy.vmplugin.v8.MethodHandleWrapper> valueProvider)

  - ### put

    public org.codehaus.groovy.vmplugin.v8.MethodHandleWrapper put​(java.lang.String name, org.codehaus.groovy.vmplugin.v8.MethodHandleWrapper mhw)

  - ### incrementFallbackCount

    public long incrementFallbackCount()

  - ### resetFallbackCount

    public void resetFallbackCount()

  - ### getDefaultTarget

    public java.lang.invoke.MethodHandle getDefaultTarget()

  - ### setDefaultTarget

    public void setDefaultTarget​(java.lang.invoke.MethodHandle defaultTarget)

  - ### getFallbackTarget

    public java.lang.invoke.MethodHandle getFallbackTarget()

  - ### setFallbackTarget

    public void setFallbackTarget​(java.lang.invoke.MethodHandle fallbackTarget)